version: 1.7.0-rc.1
files:
  - url: Cherry-Studio-1.7.0-rc.1-x64-setup.exe
    sha512: BLk4UamoEDPPAteGjkU3k6ycRjQpCRPgOfApdCQaW5wrNL4jnQskbqEUeuunJS0wIAPw1ZVoPoUuvn3twiMP0w==
    size: 131410037
  - url: Cherry-Studio-1.7.0-rc.1-arm64-setup.exe
    sha512: oFvK1qGPJbJlgml5LsynGTgQMlje9l0rHrhC1lMLpWHntH5kYA745QjSgQsCHZiERFPPC4KSr3f2jmgj5FZJwA==
    size: 129217235
path: Cherry-Studio-1.7.0-rc.1-x64-setup.exe
sha512: BLk4UamoEDPPAteGjkU3k6ycRjQpCRPgOfApdCQaW5wrNL4jnQskbqEUeuunJS0wIAPw1ZVoPoUuvn3twiMP0w==
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-rc.1

  🎉 MAJOR NEW FEATURE: AI Agents
  - Create and manage custom AI agents with specialized tools and permissions
  - Dedicated agent sessions with persistent SQLite storage, separate from regular chats
  - Real-time tool approval system - review and approve agent actions dynamically
  - MCP (Model Context Protocol) integration for connecting external tools
  - Slash commands support for quick agent interactions
  - OpenAI-compatible REST API for agent access

  ✨ New Features:
  - AI Providers: Added support for Hugging Face, Mistral, Perplexity, and SophNet
  - Knowledge Base: OpenMinerU document preprocessor, full-text search in notes, enhanced tool selection
  - Image & OCR: Intel OVMS painting provider and Intel OpenVINO (NPU) OCR support
  - MCP Management: Redesigned interface with dual-column layout for easier management
  - Languages: Added German language support

  ⚡ Improvements:
  - Upgraded to Electron 38.7.0
  - Enhanced system shutdown handling and automatic update checks
  - Improved proxy bypass rules

  🐛 Important Bug Fixes:
  - Fixed streaming response issues across multiple AI providers
  - Fixed session list scrolling problems
  - Fixed knowledge base deletion errors

  <!--LANG:zh-CN-->
  v1.7.0-rc.1 新特性

  🎉 重大更新：AI Agent 智能体系统
  - 创建和管理专属 AI Agent，配置专用工具和权限
  - 独立的 Agent 会话，使用 SQLite 持久化存储，与普通聊天分离
  - 实时工具审批系统 - 动态审查和批准 Agent 操作
  - MCP（模型上下文协议）集成，连接外部工具
  - 支持斜杠命令快速交互
  - 兼容 OpenAI 的 REST API 访问

  ✨ 新功能:
  - AI 提供商：新增 Hugging Face、Mistral、Perplexity 和 SophNet 支持
  - 知识库：OpenMinerU 文档预处理器、笔记全文搜索、增强的工具选择
  - 图像与 OCR：Intel OVMS 绘图提供商和 Intel OpenVINO (NPU) OCR 支持
  - MCP 管理：重构管理界面，采用双列布局，更加方便管理
  - 语言：新增德语支持

  ⚡ 改进:
  - 升级到 Electron 38.7.0
  - 增强的系统关机处理和自动更新检查
  - 改进的代理绕过规则

  🐛 重要修复:
  - 修复多个 AI 提供商的流式响应问题
  - 修复会话列表滚动问题
  - 修复知识库删除错误
  <!--LANG:END-->
releaseDate: '2025-11-14T12:12:18.209Z'
